@import url('https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

section {
    position: relative;
    min-height: 100vh;
    /*background-color: #f8dd30;*/
    /*background-image: linear-gradient(to right, #2f81db 0%, #068d8d 100%, #1b4e83 100%);*/
    background-image: linear-gradient(to right, #b92fdb 0%, #065b8d 100%, #56a98a 100%);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
}

    section .container {
        position: relative;
        /* width: 800px;
        height: 650px;*/
        width: 800px;
        height: 850px;
        background: #fff;
        box-shadow: 0 15px 50px rgba(0, 0, 0, 0.1);
        overflow: hidden;
        border-radius: 20px;
    }

        section .container .user {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            display: flex;
        }

            section .container .user .imgBx {
                position: relative;
                width: 50%;
                height: 100%;
                /*background: #ff0;*/
                transition: 0.5s;
                background-image: linear-gradient(to right, #1a161a 0%, #5fb3e5 100%, #56a98a 100%);
            }

                section .container .user .imgBx img {
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                }

            section .container .user .formBx {
                /*position: relative;*/
                position: initial;
                width: 50%;
                height: 100%;
                background: #fff;
                display: flex;
                justify-content: center;
                align-items: center;
                padding: 40px;
                transition: 0.5s;
            }

                section .container .user .formBx form h2 {
                    font-size: 18px;
                    font-weight: 600;
                    text-transform: uppercase;
                    letter-spacing: 2px;
                    text-align: center;
                    width: 100%;
                    margin-bottom: 10px;
                    color: #555;
                }

                section .container .user .formBx form input {
                    position: relative;
                    width: 100%;
                    padding: 10px;
                    /*background: #f5f5f5;*/
                    color: #333;
                    border: none;
                    outline: none;
                    box-shadow: none;
                    margin: 8px 0;
                    font-size: 14px;
                    letter-spacing: 1px;
                    font-weight: 300;
                }

                    section .container .user .formBx form input[type='submit'] {
                        max-width: 100px;
                        background: #677eff;
                        color: #fff;
                        cursor: pointer;
                        font-size: 14px;
                        font-weight: 500;
                        letter-spacing: 1px;
                        transition: 0.5s;
                        margin-top: 20px;
                    }

                section .container .user .formBx form .signup {
                    position: relative;
                    margin-top: 20px;
                    font-size: 12px;
                    letter-spacing: 1px;
                    color: #555;
                    text-transform: uppercase;
                    font-weight: 300;
                }

                    section .container .user .formBx form .signup a {
                        font-weight: 600;
                        text-decoration: none;
                        color: #677eff;
                    }

        section .container .signupBx {
            pointer-events: none;
        }

        section .container.active .signupBx {
            pointer-events: initial;
        }

        section .container .signupBx .formBx {
            left: 100%;
        }

        section .container.active .signupBx .formBx {
            left: 0;
        }

        section .container .signupBx .imgBx {
            left: -100%;
        }

        section .container.active .signupBx .imgBx {
            left: 0%;
        }

        section .container .signinBx .formBx {
            left: 0%;
        }

        section .container.active .signinBx .formBx {
            left: 100%;
        }

        section .container .signinBx .imgBx {
            left: 0%;
        }

        section .container.active .signinBx .imgBx {
            left: -100%;
        }

.responsive-logo {
    max-width: 100%; /* Ensures the image doesn't exceed the container width */
    height: auto; /* Maintains the aspect ratio */
    display: block; /* Centers the image if the container has text-align: center */
    margin: 0 auto; /* Centers the image horizontally */
}

@media (max-width: 991px) {
    section .container {
        max-width: 400px;
    }

        section .container .imgBx {
            display: none;
        }

        section .container .user .formBx {
            width: 100%;
        }
}

*, *::before, *::after {
    box-sizing: border-box;
}

.custom-field {
    position: relative !important;
    font-size: 14px !important;
    border-top: 10px solid transparent !important;
    margin-bottom: 0px !important;
    display: inline-block !important;
    --field-padding: 12px !important;
}

    .custom-field input {
        border: none !important;
        -webkit-appearance: none;
        -ms-appearance: none;
        -moz-appearance: none;
        appearance: none !important;
        background: #f2f2f2 !important;
        padding: var(--field-padding) !important;
        border-radius: 3px !important;
        width: 300px !important;
        outline: none !important;
        font-size: 14px !important;
    }

    .custom-field .placeholder {
        position: absolute !important;
        left: var(--field-padding) !important;
        width: calc(100% - (var(--field-padding) * 2)) !important;
        overflow: hidden !important;
        white-space: nowrap !important;
        text-overflow: ellipsis !important;
        top: 32px !important;
        line-height: 100% !important;
        transform: translateY(-50%) !important;
        color: #080101 !important;
        background-color: white !important;
        transition: top 0.3s ease, color 0.3s ease, font-size 0.3s ease;
        opacity: 0.5 !important;
    }

    .custom-field input.dirty + .placeholder,
    .custom-field input:focus + .placeholder,
    .custom-field input:not(:placeholder-shown) + .placeholder {
        top: -10px !important;
        font-size: 10px !important;
        color: #222 !important;
    }
    /* ONE */
    .custom-field.one input {
        background: none !important;
        border: 2px solid #ddd !important;
        transition: border-color 0.3s ease !important;
    }

        .custom-field.one input + .placeholder {
            left: 2px !important;
            padding: 0 5px !important;
            cursor: initial;
        }

        .custom-field.one input.dirty,
        .custom-field.one input:not(:placeholder-shown),
        .custom-field.one input:focus {
            border-color: #222 !important;
            transition-delay: 0.1s !important;
        }

            .custom-field.one input.dirty + .placeholder,
            .custom-field.one input:not(:placeholder-shown) + .placeholder,
            .custom-field.one input:focus + .placeholder {
                top: -2px !important;
                font-size: 14px !important;
                color: #222 !important;
                background: #fff !important;
                width: auto !important;
                font-weight: bold;
                text-align: justify;
            }

.border-textbox {
    border: 2px solid black !important;
    padding: 5px !important;
    border-radius: 5px !important;
}
